classification
Title: test_bigmem broken
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pitrou
Priority: critical Keywords: patch

Created on 2008-08-27 13:15 by pitrou, last changed 2009-03-08 01:23 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
bigmemtest.patch pitrou, 2008-12-28 19:08
Messages (5)
msg72027 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-27 13:15
./python3 Lib/test/regrtest.py -v -M 2.1Gb test_bigmem 
test_bigmem

[snip skipped tests]

======================================================================
ERROR: test_center_unicode (test.test_bigmem.StrTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/antoine/py3k/__svn__/Lib/test/support.py", line 682, in
wrapper
    return f(self, maxsize)
  File "/home/antoine/py3k/__svn__/Lib/test/test_bigmem.py", line 60, in
test_center_unicode
    s = SUBSTR.center(size)
MemoryError

======================================================================
ERROR: test_encode_raw_unicode_escape (test.test_bigmem.StrTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/antoine/py3k/__svn__/Lib/test/support.py", line 682, in
wrapper
    return f(self, maxsize)
  File "/home/antoine/py3k/__svn__/Lib/test/test_bigmem.py", line 102,
in test_encode_raw_unicode_escape
    return self.basic_encode_test(size, 'raw_unicode_escape')
  File "/home/antoine/py3k/__svn__/Lib/test/test_bigmem.py", line 92, in
basic_encode_test
    s = c * size
TypeError: can't multiply sequence by non-int of type 'float'

----------------------------------------------------------------------
Ran 88 tests in 0.225s
msg72028 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-08-27 13:18
It would be nice if at least one of the buildbots could run the bigmem
tests.
msg78426 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-12-28 19:08
Here is a patch. Not only does it fix the str tests, but it also adds
similar tests for bytes and bytearray objects.
msg83291 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-03-07 23:40
Committed to py3k, let's see if the buildbots like it...
msg83294 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-03-08 01:23
Looks ok.
History
Date User Action Args
2009-03-08 01:23:01pitrousetstatus: pending -> closed
resolution: fixed
messages: + msg83294
2009-03-07 23:40:10pitrousetstatus: open -> pending
messages: + msg83291
stage: patch review -> resolved
2008-12-28 19:08:56pitrousetfiles: + bigmemtest.patch
keywords: + patch
stage: patch review
messages: + msg78426
versions: + Python 3.1
2008-08-27 13:18:14pitrousetmessages: + msg72028
2008-08-27 13:15:26pitroucreate